#include "GUI_VC66_TRIPA.h"
#include "Services_Mileage.h"
/*ZH:*/

/*TRIP A 显示*/

static const uint16_t GUI_DISP_TRIPA[5] = {676, 648, 629, 610, 591};

void Gui_Display_TRIPA(void)
{
    uint16_t TRIPA_value = 0u;

    TRIPA_value = Data_Read_Trip(EM_TRIP_A);//此处TRIPA_value的值应为仪表显示的值的10倍。

    GUI_General_Display(TRIP_Sprite, CN_TRIP, GUI_BLENDMODE_SRC_OVER); //显示文字 “ TRIP ”
	GUI_General_Display(TRIP_Sprite, CN_TRIP_A, GUI_BLENDMODE_SRC_OVER); //显示文字 “ A ”
    GUI_General_Display(TRIP_Sprite, CN_TRIP_danwei, GUI_BLENDMODE_SRC_OVER); //显示文字 “ km ”
    GUI_Translate_Display(TRIP_Sprite, Nb_19_dian, 668u, 410u, GUI_BLENDMODE_SRC_OVER); /*显示 小数点*/
    
    /*显示 TRIP A 的数值*/
    GUI_General_Digit_Display(TRIP_Sprite, TRIPA_value, Nb_19_0, 5u, 3u, GUI_DISP_TRIPA, 389, GUI_BLENDMODE_SRC_OVER);
    
}

/*:ZH*/